#!/bin/sh
#
# Increment Services build number

VERSION="1.4.0"

if [ -f version.h ] ; then
	BUILD=`fgrep '#define BUILD' version.h | sed 's/^#define BUILD.*"\([0-9]*\)".*$/\1/'`
	BUILD=`expr $BUILD + 1 2>/dev/null`
else
	BUILD=1
fi
if [ ! "$BUILD" ] ; then
	BUILD=1
fi
cat >version.h <<EOF
/* Version information for Services.
 *
 * Epona (c) 2000-2001 PegSoft
 * Contact us at epona@pegsoft.net
 *
 * This program is free but copyrighted software; see the file COPYING for
 * details.
 *
 * Based on the original code of Services by Andy Church.
 *
 */

#define BUILD	"$BUILD"

const char version_number[] = "$VERSION";
const char version_build[] =
	"build #" BUILD ", compiled " __DATE__ " " __TIME__;
const char version_protocol[] =
#if defined(IRC_SEQUANA)
    "Sequana 0.2.0+"
#elif defined(IRC_BAHAMUT)
	"Bahamut 1.4.27+"
#elif defined(IRC_ULTIMATE)
	"UltimateIRCd 2.8.2+"
#elif defined(IRC_UNREAL)
	"UnrealIRCd 3.1.1+"
#elif defined(IRC_DREAMFORGE)
	"DreamForge 4.6.7"
#else
	"unknown"
#endif
	;
EOF
